# Class AcceleratorType (0.12.0)

0.12.0 (latest) 0.11.0 0.4.0 0.3.0 0.2.0 0.1.8

    AcceleratorType(mapping=None, *, ignore_unknown_fields=False, **kwargs)

Represents an Accelerator Type resource.

Google Cloud Platform provides graphics processing units
(accelerators) that you can add to VM instances to improve or
accelerate performance when working with intensive workloads.
For more information, readGPUs on Compute Engine.

.. _oneof: <https://proto-plus-python.readthedocs.io/en/stable/fields.html#oneofs-mutually-exclusive-fields>

| ## Attributes ||
|---|---|
| **Name** | **Description** |
| `creation_timestamp` | `str` \[Output Only\] Creation timestamp inRFC3339 text format. This field is a member of `oneof`_ `_creation_timestamp`. |
| `deprecated` | `https://docs.cloud.google.com/python/docs/reference/google-cloud-compute-v1beta/latest/google.cloud.compute_v1beta.types.DeprecationStatus` \[Output Only\] The deprecation status associated with this accelerator type. This field is a member of `oneof`_ `_deprecated`. |
| `description` | `str` \[Output Only\] An optional textual description of the resource. This field is a member of `oneof`_ `_description`. |
| `id` | `int` \[Output Only\] The unique identifier for the resource. This identifier is defined by the server. This field is a member of `oneof`_ `_id`. |
| `kind` | `str` Output only. \[Output Only\] The type of the resource. Alwayscompute#acceleratorType for accelerator types. This field is a member of `oneof`_ `_kind`. |
| `maximum_cards_per_instance` | `int` \[Output Only\] Maximum number of accelerator cards allowed per instance. This field is a member of `oneof`_ `_maximum_cards_per_instance`. |
| `name` | `str` \[Output Only\] Name of the resource. This field is a member of `oneof`_ `_name`. |
| `self_link` | `str` Output only. \[Output Only\] Server-defined, fully qualified URL for this resource. This field is a member of `oneof`_ `_self_link`. |
| `zone` | `str` \[Output Only\] The name of the zone where the accelerator type resides, such as us-central1-a. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. This field is a member of `oneof`_ `_zone`. |